Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.collaboration.document
Class DocumentFilterType

    java.lang.Object
      com.plumtree.remote.prc.collaboration.document.DocumentFilterType

public class DocumentFilterType
extends java.lang.Object

An enumerated type used to describe the possible filter types for documents. It is used in `IDocumentFilter.get/setFilterType`.

Field Summary
`static DocumentFilterType` | `ALL` All documents.
`static DocumentFilterType` | `CHECKED_OUT_BY_CURRENT_USER` Only documents currently checked out to the current user.
`static DocumentFilterType` | `LAST_CHECKED_IN_BY_CURRENT_USER` Only documents last checked-in by the current user.

Method Summary
`java.lang.Object` | `getUnderlyingObject()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ALL

    public static final DocumentFilterType ALL

  All documents.

### CHECKED_OUT_BY_CURRENT_USER

    public static final DocumentFilterType CHECKED_OUT_BY_CURRENT_USER

  Only documents currently checked out to the current user.

### LAST_CHECKED_IN_BY_CURRENT_USER

    public static final DocumentFilterType LAST_CHECKED_IN_BY_CURRENT_USER

  Only documents last checked-in by the current user.

Method Detail

### toString

    public java.lang.String toString()

### getUnderlyingObject

    public java.lang.Object getUnderlyingObject()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.